Skip to main content
POST
/
api
/
Payments
/
authorization
/
{paymentMethodId}
A valid request URL is required to generate request examples
{
  "networkTransactionId": "d01c9cf6-a6b3-494a-a339-83ddc16c340e",
  "paymentMethodAuthorizationId": 1,
  "paymentMethod": {
    "paymentMethodId": 1,
    "billingAddressId": 1,
    "billingAddress": {
      "addressId": 1,
      "addressLine1": "1 Default Street",
      "addressLine2": null,
      "city": "Los Angeles",
      "state": "CA",
      "postalCode": "90210",
      "phoneNumber": null,
      "email": null,
      "country": "US"
    },
    "billingFirstName": "John",
    "billingLastName": "Doe",
    "merchantPaymentMethodRefId": "custom-payment-method-ref-id-001",
    "paymentMethodAchDetails": null,
    "paymentMethodCreditCardDetails": {
      "binNumber": "411111",
      "paymentLast4Digit": "1111",
      "paymentExpirationDate": "0835",
      "accountUpdateMessage": null,
      "accountUpdateDateTime": null,
      "accountUpdateCode": null
    }
  },
  "paymentProcessor": "WorldPay",
  "processorMerchantId": "10071676",
  "responseMessage": "Approved",
  "responseCode": "000",
  "rawResponse": null,
  "message": "Approved",
  "processorResponseDateTime": null,
  "authCode": null,
  "processorTransactionId": null,
  "revolv3ResponseCode": null,
  "revolv3ResponseMessage": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paymentMethodId
integer<int64>
required

The unique identifier for the payment method information

Body

amount
object
required

The amount information for the payment.

networkProcessing
object

Network processing information.

Processors supporting this feature: Adyen, Nuvei, WorldPay, TSYS, BridgePay, Paymentech, PaymentLync.

orderProcessingChannel
enum<string>

Specifies the sales channel through which the shopper provides their card details.

Ecommerce - Internet or electronic commerce transaction. Moto - Single mail or telephone order transaction.

Processors supporting this feature: WorldPay, BridgePay. For other processors, Ecommerce is used by default.

Available options:
Ecommerce,
Moto
ecommercePlatformUrl
string

The merchant's storefront or e-commerce platform URL or domain from which the transaction originates. If provided, this value will be sent to the processor (TSYS only) as the Acceptor URL Address. If not provided, the value configured in Merchant Details (E-Commerce Platform URL) will be used. If neither is available, the request is sent to TSYS without the Acceptor URL Address.

Maximum string length: 100
dynamicDescriptor
object

Allows the merchant to define a dynamic descriptor, which appears in the payment statement. For dynamic descriptor, special configuration is required.

Processors supporting this feature: Nuvei, WorldPay, BridgePay, EPX, Paymentech, PaymentLync.

includeRawProcessorResponse
boolean
default:false

Determine whether to return raw processor data in the response.

Response

OK

networkTransactionId
string

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
paymentMethodAuthorizationId
integer<int64>

Unique identifier for a previously pre-authorized payment method.

Required range: 1 <= x <= 1000000000
paymentMethod
object

The payment method information for the payment.

paymentProcessor
string

The name of the processor by which the transaction was processed.

Maximum string length: 100
processorMerchantId
string

The merchant account ID (MID) of the processor by which the transaction was processed.

Maximum string length: 100
responseMessage
string

The processor response message.

Maximum string length: 500
responseCode
string

The processor response code.

Maximum string length: 10
rawResponse
string

Conditional. The value is returned if includeRawProcessorResponse = true. This field contains the raw data received from the processor after attempting to bill this payment. It does not contain any sensitive information. The field value is a string with the serialized response from the processor in JSON format.

Maximum string length: 10000
message
string

The message returned directly from payment processor or a special message provided by system.

Maximum string length: 500
processorResponseDateTime
string<date-time>

UTC timestamp of the payment processor response (format: YYYY-MM-DDThh:mm:ss).

Maximum string length: 40
authCode
string

Transaction authorization code.

Maximum string length: 20
processorTransactionId
string

Payment Processor Transaction Id.

Maximum string length: 100
revolv3ResponseCode
string

Standardized internal response code indicating the outcome of the request.

Maximum string length: 10
revolv3ResponseMessage
string

Message providing additional details about the response code.

Maximum string length: 500